<?php
/*
	 /'\_/`\                                    
	/\      \     __      ___      __     ___   
	\ \ \__\ \  /'__`\  /' _ `\  /'_ `\  / __`\ 
	 \ \ \_/\ \/\ \L\.\_/\ \/\ \/\ \L\ \/\ \L\ \
	  \ \_\\ \_\ \__/.\_\ \_\ \_\ \____ \ \____/
	   \/_/ \/_/\/__/\/_/\/_/\/_/\/___L\ \/___/ 
	                               /\____/      
	                               \_/__/       
	@author Leon Hartley
*/

class Client extends Controller {
	public function __construct() {
		parent::__construct();
	}

	public function base() {

		if(!Session::isAuthed()) { Router::sendTo(); }

		$this->load_view('client_new');

		$string = 'MANGO-' . rand(1000, 9999) . '-' . rand(1000, 9999);
		$user = R::load('users', Session::auth()->id);
		$user->auth_ticket = $string;
		$user->lastonline = time();
		R::store($user);

		$this->view->bind('sso_ticket', $string);

		$this->view->publish();
	}
	
	public function dev() {
		$this->load_view('client.dev');

		//$string = 'MANGO-' . rand(1000, 9999) . '-' . rand(1000, 9999);
		//$user = R::load('users', Session::auth()->id);
		//$user->auth_ticket = $string;
		//R::store($user);
		
		if(isset($_GET['sso'])) {
			$string = $_GET['sso'];
		} else {
			$string = "1234567890";
		}

		$this->view->bind('sso_ticket', $string);
		
		$this->view->publish();
	}
}