<?php
/*
	 /'\_/`\                                    
	/\      \     __      ___      __     ___   
	\ \ \__\ \  /'__`\  /' _ `\  /'_ `\  / __`\ 
	 \ \ \_/\ \/\ \L\.\_/\ \/\ \/\ \L\ \/\ \L\ \
	  \ \_\\ \_\ \__/.\_\ \_\ \_\ \____ \ \____/
	   \/_/ \/_/\/__/\/_/\/_/\/_/\/___L\ \/___/ 
	                               /\____/      
	                               \_/__/       
	@author Leon Hartley
*/

class Community extends Controller {
	public function __construct() {
		parent::__construct();
	}

	public function base() {

		if(!Session::isAuthed()) { Router::sendTo(); }

		$this->load_view("community");

		$this->view->bind("page->description", 'Community');
		$this->view->data->name = 'community';
		$this->view->data->tab = 'community';

		$this->view->publish();
	}
}