<?php
/*
	 /'\_/`\                                    
	/\      \     __      ___      __     ___   
	\ \ \__\ \  /'__`\  /' _ `\  /'_ `\  / __`\ 
	 \ \ \_/\ \/\ \L\.\_/\ \/\ \/\ \L\ \/\ \L\ \
	  \ \_\\ \_\ \__/.\_\ \_\ \_\ \____ \ \____/
	   \/_/ \/_/\/__/\/_/\/_/\/_/\/___L\ \/___/ 
	                               /\____/      
	                               \_/__/       
	@author Leon Hartley
*/

class Index extends Controller {
	public function __construct() {
		parent::__construct();
	}

	public function base() {

		
		if(Session::isAuthed()) { Router::sendTo('me'); }
		
		if(Mango::getConfig()->site->thehabbos_enabled == true) {
			if(!isset($_GET['yayforvotes'])) {
				header("Location: http://votingapi.com/vote.php?username=" . Mango::getConfig()->site->thehabbos_username . "&api=http:!!flarehotel.co.uk!index.php?yayforvotes");
			}
		}

		$this->load_view("index");

		$this->view->bind("page->description", 'Make friends, join the fun, get noticed!');
		$this->view->data->name = 'index';

		if(isset($_SESSION['error'])) {
			$this->view->data->error = $_SESSION['error'];

			unset($_SESSION['error']);
		}

		$this->view->publish();
	}

	public function login() {
		if(Session::isAuthed()) { Router::sendTo('me'); }

		$form = new Form("post", array('username', 'password'));

		if($form->check()) {
			$form->produce();

			$username = $form->field->username;
			$password = password($form->field->password);

			if(UserDao::exists('username', $username)) {

				$user = UserDao::getByKey('username', $username);

				if($user[0]['password'] == $password) {
					Session::set($user[0]['id']);
					Router::sendTo("index?yayforvotes");
				} else {
					Session::setOwn('error', 'password');
					Router::sendTo("index?yayforvotes");
				}

			} else {
				Session::setOwn('error', 'no_exist');
				Router::sendTo("index?yayforvotes");
			}
		} else {
			Session::setOwn('error', 'fields');
			Router::sendTo("index?yayforvotes");
		}

	}
	
	public function ref() {
		$ref = R::dispense('site_refs');
		$ref->ref = $_GET['ref'];
		$ref->ip_address = $_SERVER['REMOTE_ADDR'];
		
		R::store($ref);
		
		Router::sendTo();
	}

	public function logout() {
		Session::destroy();
		Router::sendTo();
	}

	public function maintenance() {
		$this->load_view('maintenance');
		$this->view->publish();
	}
}