<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title>{$site->name} Hotel - Make friends, join the fun, get noticed! </title>
    <meta name="viewport" content="width=device-width">

    <script>
        var andSoItBegins = (new Date()).getTime();
        var habboPageInitQueue = [];
        var habboStaticFilePath = "{$site->url}/web-gallery";
    </script>
    <link rel="shortcut icon" href="{$site->url}/web-gallery/images/v3/favicon.ico" type="image/vnd.microsoft.icon" />

    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Ubuntu:400,700,400italic,700italic">

<link rel="stylesheet" href="{$site->url}/web-gallery/static/styles/v3_landing.css?1337" type="text/css" />
<script src="{$site->url}/web-gallery/static/js/v3_landing_top.js" type="text/javascript"></script>

        <meta name="description" content="Check into the world's largest virtual hotel for FREE! Meet and make friends, play games, chat with others, create your avatar, design rooms and more..." />
        <meta name="keywords" content="habbo hotel, virtual, world, social network, free, community, avatar, chat, online, teen, roleplaying, join, social, groups, forums, safe, play, games, online, friends, teens, rares, rare furni, collecting, create, collect, connect, furni, furniture, pets, room design, sharing, expression, badges, hangout, music, celebrity, celebrity visits, celebrities, mmo, mmorpg, massively multiplayer" />

<script src="{$site->url}/web-gallery/static/js/13389159.js"></script>
    <meta name="build" content="63-BUILD-FOR-PATCH-1591a - 04.03.2013 12:03 - com" />
    
</head>
<body>

<div id="overlay"></div>
<script type="text/javascript">

    if (window.HabboView) {
        {$site->name}View.add(initChangePasswordForm);
    } else if (window.habboPageInitQueue) {
        habboPageInitQueue.push(initChangePasswordForm);
    }
</script>



<header>
    <div id="border-left"></div>
    <div id="border-right"></div>
	<?php
				if(isset($this->data->error)) {
					echo '
						<div id="login-errors">';

					switch($this->data->error) {
						default: 
							echo "An unexpected error occured.";
						break;

						case 'no_exist':
							echo "Incorrect password, oops!";
						break;

						case 'password':
							echo "Incorrect password, oops!";
						break;

						case 'fields':
							echo "All fields are required.";
						break;

						case 'banned':
							echo "You've been banned!";
						break;
					}

					echo "
							</div>";
				}
			?>
<div id="login-form-container">
    <a href="#home" id="habbo-logo"></a>

    <form action="{$site->url}/index/login" method="post">

    
    <div id="login-columns">
        <div id="login-column-1">
            <label for="credentials-email">Username</label>
            <input tabindex="2" type="text" name="username" id="credentials-email">
        </div>

        <div id="login-column-2">
            <label for="credentials-password">Password</label>
            <input tabindex="3" type="password" name="password" id="credentials-password">
        </div>

        <div id="login-column-3">
            <input type="submit" value="Login" style="margin: -10000px; position: absolute;">
            <a href="#" tabindex="4" class="button" id="credentials-submit"><b></b><span>Login</span></a>
        </div>

</form>
</div>

<script>
    habboPageInitQueue.push(function() {
        if (!LandingPage.focusForced) {
            LandingPage.fieldFocus('credentials-email');
        }
    });
</script>
    <div id="alerts">
<noscript>
<div id="alert-javascript-container">
    <div id="alert-javascript-title">
        Missing JavaScript support
    </div>
    <div id="alert-javascript-text">
        Javascript is disabled on your browser. Please enable JavaScript or upgrade to a Javascript-capable browser to use {$site->name} :)
    </div>
</div>
</noscript>

<div id="alert-cookies-container" style="display:none">
    <div id="alert-cookies-title">
        Missing cookie support
    </div>
    <div id="alert-cookies-text">
        Cookies are disabled on your browser. Please enable cookies to use {$site->name}.
    </div>
</div>
<script type="text/javascript">
</script>
    </div>
    <div id="top-bar-triangle"></div>
    <div id="top-bar-triangle-border"></div>
</header>


<div id="content">
    <ul>
        <li id="home-anchor">
            <div id="welcome">
                <a href="quickregister/start" class="button large" id="join-now-button"><b></b><span>Join today</span><span class="sub">(It's free)</span></a>
                <div id="slogan">
                    <h1>Welcome to {$site->name},</h1>
                    <p>a strange place with awesome people.</p>
                    <p><a id="tell-me-more-link" href="#">Tell me more...</a></p>
                </div>
            </div>
            <div id="carousel">
                <div id="image1"></div>
                <div id="image2"></div>
                <div id="image3"></div>
                <div id="tell-me-more">{$site->name} Hotel is a virtual world for players 13 years and older, where you can create your very own {$site->name} character and design your room the way you like. You'll meet new friends, chat, organize parties, look after virtual pets, create and play games and complete quests. Click 'Join Today' to get started!</div>
            </div>
              
            <div id="floaters"></div>
        </li>

<div id="magnifying-glass"></div>
            <div id="sail"></div>	
</div>

<footer>
    <div id="footer-content">
        <div id="footer"><a href="http://getfirewind.com">Firewind</a> l <a href="http://facebook.com/habbohotelws">{$site->name} on Facebook</a></div>
        <div id="copyright">© 2013 - 2014 Flare Hotel. All rights reserved.</div>
    </div>
    <div id="sulake-logo"><a href="http://www.sulake.com/"></a></div>
</footer>


<script src="{$site->url}/web-gallery/static/js/v3_landing_bottom.js" type="text/javascript"></script>
<!--[if IE]><script src="{$site->url}/web-gallery/static/js/v3_ie_fixes.js" type="text/javascript"></script>
<![endif]-->



<script type="text/javascript">
	var cookieEnabled = (navigator.cookieEnabled) ? true : false;

	if (typeof navigator.cookieEnabled == "undefined" && !cookieEnabled)
	{ 
		document.cookie="testcookie";
		cookieEnabled = (document.cookie.indexOf("testcookie") != -1) ? true : false;
	}
	if(!cookieEnabled)
	{
		$('#alert-cookies-container').show();
	}
    var rpxJsHost = (("https:" == document.location.protocol) ? "https://" : "http://static.");
    document.write(unescape("%3Cscript src='" + rpxJsHost +
            "rpxnow.com/js/lib/rpx.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
    RPXNOW.overlay = false;
    RPXNOW.language_preference = 'en'; 
    RPXNOW.flags = 'show_provider_list';
</script>

<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-448325-2']);
  _gaq.push(['_trackPageview']);
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>    

</body>
</html>