-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               5.1.68-community - MySQL Community Server (GPL)
-- Server OS:                    Win64
-- HeidiSQL version:             7.0.0.4053
-- Date/time:                    2013-04-12 14:37:21
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET FOREIGN_KEY_CHECKS=0 */;

-- Dumping structure for table bcstorm1.site_articles
CREATE TABLE IF NOT EXISTS `site_articles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `article_name` varchar(64) DEFAULT 'Undefined Title',
  `article_author` varchar(64) DEFAULT 'Undefined User',
  `article_story` text,
  `article_description` varchar(50) DEFAULT 'Undefined Description',
  `article_topstory` varchar(500) DEFAULT '300x187_TS_xantial',
  `article_when` int(11) DEFAULT '0',
  `views` int(11) DEFAULT '0',
  `article_date` varchar(100) DEFAULT '5th March 2013',
  `article_bigimage` varchar(100) DEFAULT '300x187_TS_xantial',
  `extra_style` varchar(500) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

-- Dumping data for table bcstorm1.site_articles: ~2 rows (approximately)
/*!40000 ALTER TABLE `site_articles` DISABLE KEYS */;
INSERT INTO `site_articles` (`id`, `article_name`, `article_author`, `article_story`, `article_description`, `article_topstory`, `article_when`, `views`, `article_date`, `article_bigimage`, `extra_style`) VALUES
	(1, 'Welcome to Flare!', '<b>Joh & Callum</b>', '<h3>Welcome</h3>\r\nWelcome to Flare Hotel! We\'re a brand new retro and we\'re ready to get the hotel full of happy, fun, caring and enthusiastic users. <br />\r\n<br />\r\n<h3>About Flare</h3>\r\nFlare was started up around the beginning of March, but our doors haven\'t been opened to the public, until today! The reason to this is simple. We had to get ready, fix bugs and make sure everything is all fine and dandy for <b><u>YOU</u></b>!<br />\r\n<br />\r\n<h3>Our Management</h3> <img src="http://2.bp.blogspot.com/-xHdGufdjPtc/TWLOXAkjcNI/AAAAAAAAAAo/ZfRxr9TiMmo/s1600/fireworks.gif" align="right">\r\n<br/>\r\nOur management is the best you\'ll see. We have very talented individuals who know what they\'re doing, and do what they\'re doing correctly. First off we have Leon! Leon is an owner of Flare but is seen more on the server-side. He ensures that all pests are being taken care of. He is also the one to code sexy plugins on the website. Secondly we have Callum & Joh. These two guys are filled with awesomeness. These are the two that take care of everything in the client. They handle hiring, firing, events, hotel safety, the economy, etc. You\'ll see these guys a lot around the hotel chit chatting away, sometimes AFK as well.\r\n<br />\r\n<br />\r\n\r\n<h3>Updates</h3>\r\n<br />\r\nAs you can see, the website is a little plain right now. This is because we\'ve been in BETA stage for a while, making sure almost everything works for you guys. During this week and next week you\'ll see a lot of changes to the website, so don\'t be all bummed out just because nothing is there! Us three have school and work, which means we have other things to do, so be patient and we promise it will be worth it!', 'We\'re finally here!', 'http://habboemotion.com/resources/images/topstory/Topstory_Elecciones_001.gif', 0, 222, '5th March 2013', 'http://www.habbotimes.net/assets/media/fancenter/topstorys/frontpage_diamondvip.png', 'text-shadow: 0px 1px #333;'),
	(2, 'ROTW #1', '<b>Ali</b>', 'What is ROTW? <br />\r\nROTW is a weekly room building competition designed to test your inner builder. You are to build a room based off of a given theme, and each week three winners are chosen for three prizes!!<br />\r\n<br />\r\nThis week\'s theme is Easter!<br /> \r\n<br />\r\nRules:<br />\r\n1. There should be only ONE ROTW room per user.<br />\r\n2. Name your room " ROTW #1 ".<br />\r\n3. No copying other\'s ideas.<br />\r\n4. Be sure to lock your room, just so you are not tempting the wandering eye.<br />\r\nBreak any of these rules and your disqualified.<br />\r\n<br />\r\nThe ROTW winner(s) of this week will win a throne, a badge, and 50k Coins! <br />\r\n\r\nGood luck guys and gals! Get building! ', 'So, this weeks ROTW...', 'http://habboemotion.com/resources/images/topstory/SG_Habbo_Revamp_Campaign_TS_v1.gif', 0, 72, '28th March 2013', 'http://www.habbotimes.net/assets/media/fancenter/topstorys/Bouwteam_TopStory.png', '');
/*!40000 ALTER TABLE `site_articles` ENABLE KEYS */;


-- Dumping structure for table bcstorm1.site_refs
CREATE TABLE IF NOT EXISTS `site_refs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ref` varchar(50) DEFAULT '',
  `ip_address` varchar(50) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=491 DEFAULT CHARSET=utf8;


-- Dumping structure for table bcstorm1.site_campaigns
CREATE TABLE IF NOT EXISTS `site_campaigns` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enabled` enum('0','1') NOT NULL DEFAULT '1',
  `image_url` text NOT NULL,
  `name` text NOT NULL,
  `description` text NOT NULL,
  `link` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=latin1;

-- Dumping data for table bcstorm1.site_campaigns: 3 rows
/*!40000 ALTER TABLE `site_campaigns` DISABLE KEYS */;
INSERT INTO `site_campaigns` (`id`, `enabled`, `image_url`, `name`, `description`, `link`) VALUES
	(18, '1', 'http://flarehotel.co.uk/public/campaigns/cb_beta_2.gif', 'We\'re in BETA!', 'Please remember, we\'re currently in public beta and things may not work. If there is any bugs, please be sure to report them to a member of staff!', 'http://flarehotel.co.uk/me'),
	(19, '1', 'http://flarehotel.co.uk/public/campaigns/facebook.gif', 'Like us on Facebook!', 'We hold competitions on our Facebook page and we keep all our fans in the loop. Join the loop! ', 'http://facebook.com/habbohotelws'),
	(20, '1', 'http://flarehotel.co.uk/public/campaigns/buyvip.gif', 'VIP Shop', 'The VIP shop is currently under construction, please come back soon.', 'http://flarehotel.co.uk/shop');
/*!40000 ALTER TABLE `site_campaigns` ENABLE KEYS */;
/*!40014 SET FOREIGN_KEY_CHECKS=1 */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;

-- Dumping structure for table bcstorm1.site_config
CREATE TABLE IF NOT EXISTS `site_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `maintenance` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `maintaince` (`maintenance`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

-- Dumping data for table bcstorm1.site_config: 1 rows
/*!40000 ALTER TABLE `site_config` DISABLE KEYS */;
INSERT INTO `site_config` (`id`, `maintenance`) VALUES
  (1, '0');
/*!40000 ALTER TABLE `site_config` ENABLE KEYS */;
/*!40014 SET FOREIGN_KEY_CHECKS=1 */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;

ALTER TABLE `user_info`
  ADD COLUMN `id` INT(10) NULL DEFAULT;