<?php
/*
	 /'\_/`\                                    
	/\      \     __      ___      __     ___   
	\ \ \__\ \  /'__`\  /' _ `\  /'_ `\  / __`\ 
	 \ \ \_/\ \/\ \L\.\_/\ \/\ \/\ \L\ \/\ \L\ \
	  \ \_\\ \_\ \__/.\_\ \_\ \_\ \____ \ \____/
	   \/_/ \/_/\/__/\/_/\/_/\/_/\/___L\ \/___/ 
	                               /\____/      
	                               \_/__/       
	@author Leon Hartley
*/

Router::add('/index', 'index.base()');
Router::add('/maintenance', 'index.maintenance()');
Router::add('/index/login', 'index.login()', Router::HTTP_POST);

Router::add('/client/dev', 'client.dev()');
Router::add('/client', 'client.base()');
Router::add('/client/error', 'misc.client_error()');

Router::add('/quickregister/start', 'register.base()');
Router::add('/quickregister/step2', 'register.step2()');
Router::add('/quickregister/complete', 'register.step3()');

Router::add('/me', 'me.base()');
Router::add('/community', 'community.base()');
Router::add('/articles', 'articles.base()');
Router::add('/staff', 'staff.base()');
Router::add('/vip', 'vip.base()');
Router::add('/logout', 'index.logout()');
Router::add('/shop', 'me.base()');

Router::add('/account', 'account.base()');
Router::add('/account/save', 'account.save()');

Router::add('/banner.png', 'banner.base()');

Router::add('/index/ref', 'index.ref()');

Router::add('/habblet/xml/promo_habbos', 'habblet.promo_habbos()');

Router::add('/stats', 'misc.stats()');

Router::add('/housekeeping', 'housekeeping/index.base()');
Router::add('/housekeeping/', 'housekeeping/index.base()');
Router::add('/housekeeping/save/note', 'housekeeping/save.note()');
Router::add('/housekeeping/users', 'housekeeping/users.base()');
Router::add('/housekeeping/users/edit', 'housekeeping/users.edit()');
